#!/bin/bash

clitip() {
    curl -s https://raw.githubusercontent.com/jlevy/the-art-of-command-line/master/README.md |
        sed '/cowsay[.]png/d' |
        pandoc -f markdown -t html |
        xmlstarlet fo --html --dropdtd |
        xmlstarlet sel -t -v "(html/body/ul/li[count(p)>0])[$RANDOM mod last()+1]" |
        xmlstarlet unesc | fmt -80 | iconv -t US
}

clitip | convert -background "#222222" -fill "#237856" -size 3840x1200 -pointsize 30 -gravity west -font JetBrains-Mono-Regular label:@- ~/Pictures/clitip-wallpaper.png
